import { createComponent as _$createComponent } from "@alloy-js/core/jsx-runtime";
import { memo as _$memo } from "@alloy-js/core/jsx-runtime";
import * as ay from "@alloy-js/core";
import * as ts from "@alloy-js/typescript";
import * as ef from "@typespec/emitter-framework/typescript";
import { hasDefaultValue } from "../utils/parameters.js";
import { getOperationOptionsInterfaceRefkey } from "./static-helpers/interfaces.js";
export function getOperationOptionsTypeRefkey(operation) {
  return ay.refkey(operation, "operation-options");
}
export function OperationOptionsDeclaration(props) {
  const namePolicy = ts.useTSNamePolicy();
  const interfaceName = namePolicy.getName(props.operation.operation.name + "Options", "interface");
  const optionalParameters = props.operation.parameters.properties.filter(p => p.property.optional || hasDefaultValue(p));
  return _$createComponent(ts.InterfaceDeclaration, {
    "export": true,
    name: interfaceName,
    get ["extends"]() {
      return getOperationOptionsInterfaceRefkey();
    },
    get refkey() {
      return getOperationOptionsTypeRefkey(props.operation);
    },
    get children() {
      return ay.mapJoin(optionalParameters, parameter => _$createComponent(ts.InterfaceMember, {
        get name() {
          return parameter.property.name;
        },
        optional: true,
        get type() {
          return _$createComponent(ef.TypeExpression, {
            get type() {
              return parameter.property.type;
            }
          });
        }
      }));
    }
  });
}
//# sourceMappingURL=operation-options.js.map