import { createComponent as _$createComponent } from "@alloy-js/core/jsx-runtime";
import { memo as _$memo } from "@alloy-js/core/jsx-runtime";
import { EncodingProvider } from "../encoding-provider.js";
export function ContentTypeEncodingProvider(props) {
  const contentType = props.contentType ?? "application/json";
  let defaults = {
    bytes: "none",
    datetime: "rfc3339"
  };

  // Follows the media type conventions from RFC 6838 section 4.2.8, which standardizes the +json suffix for JSON-structured syntaxes.
  if (contentType?.includes("application/json") || contentType.trim()?.endsWith("+json")) {
    defaults = {
      bytes: "base64",
      datetime: "rfc3339"
    };
  }
  return _$createComponent(EncodingProvider, {
    defaults: defaults,
    get children() {
      return props.children;
    }
  });
}
//# sourceMappingURL=content-type-encoding-provider.js.map